# wm-logs
记录`debian bookworm + wm`从0开始配置的历险记。

## 社区源
部分软件只有社区源(`https://repo.izero.im`)里有, debian官方源里并没有。


## 基础安装

```bash
# sudo apt install i3 ly xserver-xorg picom polybar-git rofi feh xfce-polkit dunst picom
sudo apt install bspwm ly i3lock-color xserver-xorg picom polybar-git rofi feh xfce-polkit dunst picom

# 一些实用的软件
sudo apt install xsettingsd plank alacritty qt5-style-kvantum qt5ct thunar file-roller flameshot-blur \
  font-viewer network-manager-gnome crossover fcitx5
```


- `ly` 一个TUI形式的`display manager`
- ~~`i3` 平铺式窗口管理管理器~~  // 从入门到放弃, 改为用bspwm了
- `bspwm` 另外一个平铺式窗口管理器
- `xserver-xorg` X服务, 也可以装`xorg`包
- `i3lock-color` i3lock的升级版, 支持背景 (需要加社区源, 见上方)
- `picom` 一个轻量的流行的特效合成器
- `polybar-git`  状态栏, 使用git版, 是为了自定义tray的位置。详见 PR[#2595](https://github.com/polybar/polybar/pull/2595)
- `rofi` 应用启动器
- `feh` 壁纸设置器
- `picom` Xorg的一个合成器, 可以让窗口透明、阴影、模糊等效果
- `xfce-polkit` polkit的东东, 权限认证用的。 安装之后, 普通用户打开需要root权限的应用时, 才能正常弹出授权弹窗。
- `plank` 一个轻量的dock应用
- `xsettingsd` 一个用来设置主题等的工具
- `alacritty` 一个;rust开发的终端模拟器, 可以自行选择
- `qt5-style-kvantum、qt5ct` 设置qt应用的主题的
- `thunar` xfce家的文件管理器。(想要挂载网络共享盘, 如smb的, 还需要安装一个服务`gvfs-backends`)
- `file-roller` gnome家的压缩软件, 很好用。
- `flameshot-blur`  flameshot的精简版, 去除了部分不实用的功能, 并将模糊改为高斯模糊。
- `font-viewer` 字体查看器
- `network-manager-gnome` 管理管理器
- `crossover` 基于wine的一个商业版本。(价格不贵, 但是不付费也可以一直试用)
- `fcitx5` 小企鹅输入法


## 配套

```bash

# 字体 (需要要加社区源)
# 这2个官方源里就有
sudo apt install fonts-noto-cjk fonts-noto-color-emoji
# 这几个在社区源里
sudo apt install fonts-harmony-os-sans fonts-material-icons fonts-menlo fonts-raleway fonts-symbols-nerd-font


# 音频相关
## sudo apt install pavucontrol pulseaudio
sudo apt install pipewire

# 蓝牙相关
# 不安装 libspa-0.2-bluetooth, 连不上蓝牙耳机
# 
sudo apt install blueman libspa-0.2-bluetooth

# 需要将蓝牙图标放到托盘上时, 可以执行以下命令添加启动
# 不需要时, 可自行给polybar添加自定义模块, 因为托盘功能, 在polybar上体验不太好
systemctl --user daemon-reload
systemctl --user enable blueman-applet
systemctl --user start blueman-applet
```


## 娱乐功能

- `mpd, mpc` 音乐播放



### 一些系统配置

- `.Xmodmap` 键盘按键映射文件, 用于修改键盘按键。 我这里主要是调换`Super`和`Alt`键, 并把`大写键`改成一个用不到的日文键, 拿来做输入法切换。
- `.bashrc` bash的配置
- `.inputrc` 对文本输入的一些简单配置, 仅对使用`bash`时有效。


## 预览

<img src="./preview/power_rofi.png" style="max-width:720px;"> 